| Flutter Impeller |

Classes | Public Member Functions | Public Attributes | List of all members
impeller::TextShadowCache::TextShadowCacheKey Struct Reference

A key to look up cached glyph textures. More...

`#include <text_shadow_cache.h>`

## Classes
struct | Equal
struct | Hash

## Public Member Functions
| TextShadowCacheKey (Scalar p_max_basis, int64_t p_identifier, bool p_is_single_glyph, const Font &p_font, Sigma p_sigma, Color p_color)

## Public Attributes
Scalar | max_basis
int64_t | identifier
bool | is_single_glyph
Font | font
Rational | rounded_sigma
Color | color

## Detailed Description

A key to look up cached glyph textures.

Definition at line 38 of file text_shadow_cache.h.

## Constructor & Destructor Documentation

## ◆ TextShadowCacheKey()

impeller::TextShadowCache::TextShadowCacheKey::TextShadowCacheKey | ( | Scalar | p_max_basis,
|  | int64_t | p_identifier,
|  | bool | p_is_single_glyph,
|  | const Font & | p_font,
|  | Sigma | p_sigma,
|  | Color | p_color
| ) |  |

Definition at line 18 of file text_shadow_cache.cc.

24 : max_basis(p_max_basis),
25 identifier(p_identifier),
26 is_single_glyph(p_is_single_glyph),
27 font(p_font),
28 rounded_sigma(Rational(std::round(p_sigma.sigma * kMaxSigmaDenominator),
29 kMaxSigmaDenominator)),
30 color(p_color) {}
impeller::kMaxSigmaDenominator
static constexpr int32_t kMaxSigmaDenominator
Definition: text_shadow_cache.cc:16
impeller::TextShadowCache::TextShadowCacheKey::identifier
int64_t identifier
Definition: text_shadow_cache.h:40
impeller::TextShadowCache::TextShadowCacheKey::max_basis
Scalar max_basis
Definition: text_shadow_cache.h:39
impeller::TextShadowCache::TextShadowCacheKey::is_single_glyph
bool is_single_glyph
Definition: text_shadow_cache.h:41
impeller::TextShadowCache::TextShadowCacheKey::rounded_sigma
Rational rounded_sigma
Definition: text_shadow_cache.h:43
impeller::TextShadowCache::TextShadowCacheKey::color
Color color
Definition: text_shadow_cache.h:44
impeller::TextShadowCache::TextShadowCacheKey::font
Font font
Definition: text_shadow_cache.h:42

## Member Data Documentation

## ◆ color

Color impeller::TextShadowCache::TextShadowCacheKey::color

Definition at line 44 of file text_shadow_cache.h.

Referenced by impeller::TextShadowCache::TextShadowCacheKey::Hash::operator()(), and impeller::TextShadowCache::TextShadowCacheKey::Equal::operator()().

## ◆ font

Font impeller::TextShadowCache::TextShadowCacheKey::font

Definition at line 42 of file text_shadow_cache.h.

Referenced by impeller::TextShadowCache::TextShadowCacheKey::Hash::operator()(), and impeller::TextShadowCache::TextShadowCacheKey::Equal::operator()().

## ◆ identifier

int64_t impeller::TextShadowCache::TextShadowCacheKey::identifier

Definition at line 40 of file text_shadow_cache.h.

Referenced by impeller::TextShadowCache::TextShadowCacheKey::Hash::operator()(), and impeller::TextShadowCache::TextShadowCacheKey::Equal::operator()().

## ◆ is_single_glyph

bool impeller::TextShadowCache::TextShadowCacheKey::is_single_glyph

Definition at line 41 of file text_shadow_cache.h.

Referenced by impeller::TextShadowCache::TextShadowCacheKey::Hash::operator()(), and impeller::TextShadowCache::TextShadowCacheKey::Equal::operator()().

## ◆ max_basis

Scalar impeller::TextShadowCache::TextShadowCacheKey::max_basis

Definition at line 39 of file text_shadow_cache.h.

Referenced by impeller::TextShadowCache::TextShadowCacheKey::Hash::operator()(), and impeller::TextShadowCache::TextShadowCacheKey::Equal::operator()().

## ◆ rounded_sigma

Rational impeller::TextShadowCache::TextShadowCacheKey::rounded_sigma

Definition at line 43 of file text_shadow_cache.h.

Referenced by impeller::TextShadowCache::TextShadowCacheKey::Hash::operator()(), and impeller::TextShadowCache::TextShadowCacheKey::Equal::operator()().

The documentation for this struct was generated from the following files:

- impeller/entity/contents/text_shadow_cache.h
- impeller/entity/contents/text_shadow_cache.cc